package lxc

import (
	"launchpad.net/juju-core/version"
)

type fakeAddresser struct{}

func (*fakeAddresser) Addresses() []string {
	return []string{"s1:123", "s2:123"}
}

func NewTestLxcContext(deployerTag, initDir, hostDataDir, lxcContainerDir, lxcAutoDir string) *LxcContext {
	return &LxcContext{
		environName:     "lxc-test",
		environSeries:   version.Current.Series,
		dataDir:         "/var/lib/juju",
		hostDataDir:     hostDataDir,
		addresser:       &fakeAddresser{},
		caCert:          []byte("test-cert"),
		deployerTag:     deployerTag,
		initDir:         initDir,
		logDir:          "/var/log/juju",
		lxcContainerDir: lxcContainerDir,
		lxcAutoDir:      lxcAutoDir,
	}
}
